Subject: Re: bug#29965: Warning: vlan0 is not connected to the host network

From: Leo Famulari <[email-masked]>
Date: Wed, 3 Jan 2018 17:45:35 -0500

On Wed, Jan 03, 2018 at 11:10:08PM +0100, Catonano wrote:
> I managed to use system vm-image instead of system vm and I have to say it
> fares better
> 
> I can fiddle with qemu switches and I managed to allow my virtual machine
> to reach out on the network,
> 
> The machine is faster and less awkard, the terminal background is dark
> instead of sun bright
> 
> So this bug is not  urgent
> 
> But I still think this is a bug. system vm is a Guix feature and the
> machine it provides should be able to get on the network, I think

When you run the script created by `guix system vm`, you can add
arguments to QEMU on the command-line. For example,

$ /gnu/store/...-run-vm.sh -net user -net nic,model=virtio

Or even:

$(guix system vm config.scm) -net user -net nic,model=virtio